> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Official Mcp Server List

> Endpoint to list all official MCP servers.

Args:
    name: Optional filter by server name
    domain: Optional filter by domain

Returns:
    List[OfficialMCPServer]: A list of all official MCP server objects.

Raises:
    HTTPException 500: If an error occurs while retrieving servers from the database.



## OpenAPI

````yaml get /api/official-mcp-server
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/official-mcp-server:
    get:
      tags:
        - Official MCP Server
      summary: Official Mcp Server List
      description: |-
        Endpoint to list all official MCP servers.

        Args:
            name: Optional filter by server name
            domain: Optional filter by domain

        Returns:
            List[OfficialMCPServer]: A list of all official MCP server objects.

        Raises:
            HTTPException 500: If an error occurs while retrieving servers from the database.
      operationId: official_mcp_server_list
      parameters:
        - name: name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by server name
            title: Name
          description: Filter by server name
        - name: domain
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by domain
            title: Domain
          description: Filter by domain
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/OfficialMCPServer'
                title: Response Official Mcp Server List
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    OfficialMCPServer:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the official MCP server
        name:
          type: string
          title: Name
          description: Name of the official MCP server
        domain:
          type: string
          title: Domain
          description: Domain of the MCP server
        mcp_url:
          type: string
          title: Mcp Url
          description: MCP server URL
        description:
          type: string
          title: Description
          description: Description of the MCP server
        website:
          type: string
          title: Website
          description: Website URL of the MCP server
        help_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Help Url
          description: Help/documentation URL for the MCP server
        created_by:
          type: string
          title: Created By
          description: User who created the official MCP server
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the official MCP server was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the official MCP server was last updated.
      type: object
      required:
        - id
        - name
        - domain
        - mcp_url
        - description
        - website
        - created_by
        - created_at
        - updated_at
      title: OfficialMCPServer
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````